1

We are using Stratio Lucene Indexer for V3.11.5 and currently planning to upgrade to V4.x. As specific Cassandra Lucene index versions are targeted to specific Apache Cassandra versions.

https://github.com/stratio/cassandra-lucene-index

Kindly let me know if anyone using this Stratio Lucene Indexer with V4.x and which plagin to select.

1 Answer 1

1

From what I can tell in the project's GitHub repository, there is an outstanding request to add Cassandra 4.0 support (issue #408) but no one from the project has responded to it.

The last supported Cassandra version is 3.11.3 which was released in September 2018 (over 4 years ago).

To me this is an indication that the project is no longer active. In fact, the repository has been archived by the owners on May 2020.

If you want to continue using the plugin, I think you're only recourse is to get in contact with the owner Stratio Big Data. Cheers!

[UPDATE] I've discussed with Andres de la Peña (project contributor, formerly from Stratio) who confirmed that Instaclustr maintains a fork here https://github.com/instaclustr/cassandra-lucene-index and Stefan Miklosovic/Instaclustr confirmed that their fork supports Cassandra 4.0 + 4.1.

2
  • Hi Erick Thanks a lot. Post this question,I was keep on searching and find below "Stratio repo has been forked and taken over by Instaclustr: github.com/instaclustr/cassandra-lucene-index They seem to be pretty active in keeping it up. Is that relevant Feb 17, 2023 at 13:25
  • Thanks a lot Erick for confirmation Feb 21, 2023 at 10:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.